<?php
if (!defined ('TYPO3_MODE')) 	die ('Access denied.');

t3lib_extMgm::allowTableOnStandardPages('tx_t3mcumulustagcloud_data');

$TCA["tx_t3mcumulustagcloud_data"] = array (
	"ctrl" => array (
		'title'     => 'LLL:EXT:t3m_cumulus_tagcloud/locallang_db.xml:tx_t3mcumulustagcloud_data',		
		'label'     => 'link_name',	
		'tstamp'    => 'tstamp',
		'crdate'    => 'crdate',
		'cruser_id' => 'cruser_id',
		'languageField'            => 'sys_language_uid',	
		'transOrigPointerField'    => 'l18n_parent',	
		'transOrigDiffSourceField' => 'l18n_diffsource',	
		'default_sortby' => "ORDER BY link_name",	
		'delete' => 'deleted',	
		'enablecolumns' => array (		
			'disabled' => 'hidden',	
			'starttime' => 'starttime',	
			'endtime' => 'endtime',
		),
		'dynamicConfigFile' => t3lib_extMgm::extPath($_EXTKEY).'tca.php',
		'iconfile'          => t3lib_extMgm::extRelPath($_EXTKEY).'icon_tx_t3mcumulustagcloud_data.gif',
	),
	"feInterface" => array (
		"fe_admin_fieldList" => "sys_language_uid, l18n_parent, l18n_diffsource, hidden, starttime, endtime, link_name, link_url, link_size",
	)
);


t3lib_div::loadTCA('tt_content');
//blende recursive, layout und select_key aus
$TCA['tt_content']['types']['list']['subtypes_excludelist'][$_EXTKEY.'_pi1']='layout,select_key,recursive,pages';

//blende Flexform ein
$TCA['tt_content']['types']['list']['subtypes_addlist'][$_EXTKEY.'_pi1']='pi_flexform';

//definiere XML-Datei mit Flexform-Schema
t3lib_extMgm::addPiFlexFormValue($_EXTKEY.'_pi1','FILE:EXT:'.$_EXTKEY.'/flexform_ds.xml');

//aktiviere PlugIn
t3lib_extMgm::addPlugin(array('LLL:EXT:t3m_cumulus_tagcloud/locallang_db.php:tt_content.list_type_pi1', $_EXTKEY.'_pi1'),'list_type');


//t3lib_extMgm::addStaticFile($_EXTKEY,"pi1/static/","Cumulus Tagcloud");
?>